{
  "name": "poke-api",
  "version": "0.2.0",
  "private": true,
  "dependencies": {
    "@reduxjs/toolkit": "^1.5.1",
    "@testing-library/jest-dom": "^5.16.2",
    "@testing-library/react": "^9.5.0",
    "@testing-library/user-event": "^7.1.2",
    "@types/node": "^12.0.0",
    "@types/react": "^16.9.0",
    "@types/react-dom": "^16.9.0",
    "@types/react-redux": "^7.1.7",
    "axios": "^0.25.0",
    "bootstrap": "^5.1.3",
    "enzyme-adapter-react-16": "^1.15.7",
    "husky": "^8.0.2",
    "jest-environment-enzyme": "^7.1.2",
    "jest-enzyme": "^7.1.2",
    "react": "^16.14.0",
    "react-bootstrap": "^2.1.2",
    "react-dom": "^16.14.0",
    "react-redux": "^7.2.0",
    "react-router-dom": "^6.2.1",
    "react-scripts": "^5.0.1",
    "react-slick": "^0.28.1",
    "redux-mock-store": "^1.5.4"
  },
  "scripts": {
    "eslint": "node_modules/eslint/bin/eslint.js .",
    "start": "react-scripts start",
    "build": "react-scripts build",
    "test": "jest",
    "test:watch": "jest --watch",
    "eject": "react-scripts eject",
    "prettier": "prettier --write '**/*.{js,jsx,ts,tsx,css,less,md,json}'",
    "prettier-check": "prettier --list-different '**/*.{js,jsx,ts,tsx,css,less,md,json}'",
    "prettier:check:ci": "./node_modules/.bin/prettier --check .",
    "prettier:write": "./node_modules/.bin/prettier --write ."
  },
  "eslintConfig": {
    "extends": "react-app"
  },
  "browserslist": {
    "production": [
      ">0.2%",
      "not dead",
      "not op_mini all"
    ],
    "development": [
      "last 1 chrome version",
      "last 1 firefox version",
      "last 1 safari version"
    ]
  },
  "devDependencies": {
    "@babel/preset-typescript": "^7.16.7",
    "@types/jest": "^27.4.1",
    "@types/react-slick": "^0.23.8",
    "@types/redux-mock-store": "^1.0.3",
    "@typescript-eslint/eslint-plugin": "^5.47.1",
    "@typescript-eslint/parser": "^5.47.1",
    "eslint": "^8.30.0",
    "jest": "^27.5.1",
    "prettier": "2.8.1",
    "ts-jest": "^27.1.3",
    "typescript": "^4.9.4"
  }
}
